package beilv.shopping.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import beilv.common.annotation.Excel;
import beilv.common.core.domain.BaseEntity;

/**
 * 商城对象 qmjs_shopping_mall
 * 
 * @author lc
 * @date 2025-01-02
 */
public class QmjsShoppingMall extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsName;

    /** 商品条码 */
    @Excel(name = "商品条码")
    private String goodsCode;

    /** 商品种类 */
    @Excel(name = "商品种类")
    private String goodsType;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String goodsImg;

    /** 商品说明 */
    @Excel(name = "商品说明")
    private String goodsDescribe;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String goodsUnit;

    /** 时价商品（是/否） */
    @Excel(name = "时价商品", readConverterExp = "是=/否")
    private String goodsCurrentPrice;

    /** 销售单价 */
    @Excel(name = "销售单价")
    private BigDecimal salePrice;

    /** 建议售价 */
    @Excel(name = "建议售价")
    private BigDecimal suggestionPrice;

    /** 商品库存 */
    @Excel(name = "商品库存")
    private String goodsInventory;

    /** 库存成本 */
    @Excel(name = "库存成本")
    private BigDecimal inventoryCost;

    /** 商品状态(正常/禁用) */
    @Excel(name = "商品状态(正常/禁用)")
    private String goodsState;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName() 
    {
        return goodsName;
    }

    public void setGoodsCode(String goodsCode) 
    {
        this.goodsCode = goodsCode;
    }

    public String getGoodsCode() 
    {
        return goodsCode;
    }

    public void setGoodsType(String goodsType) 
    {
        this.goodsType = goodsType;
    }

    public String getGoodsType() 
    {
        return goodsType;
    }

    public void setGoodsImg(String goodsImg) 
    {
        this.goodsImg = goodsImg;
    }

    public String getGoodsImg() 
    {
        return goodsImg;
    }

    public void setGoodsDescribe(String goodsDescribe) 
    {
        this.goodsDescribe = goodsDescribe;
    }

    public String getGoodsDescribe() 
    {
        return goodsDescribe;
    }

    public void setGoodsUnit(String goodsUnit) 
    {
        this.goodsUnit = goodsUnit;
    }

    public String getGoodsUnit() 
    {
        return goodsUnit;
    }

    public void setGoodsCurrentPrice(String goodsCurrentPrice) 
    {
        this.goodsCurrentPrice = goodsCurrentPrice;
    }

    public String getGoodsCurrentPrice() 
    {
        return goodsCurrentPrice;
    }

    public void setSalePrice(BigDecimal salePrice) 
    {
        this.salePrice = salePrice;
    }

    public BigDecimal getSalePrice() 
    {
        return salePrice;
    }

    public void setSuggestionPrice(BigDecimal suggestionPrice) 
    {
        this.suggestionPrice = suggestionPrice;
    }

    public BigDecimal getSuggestionPrice() 
    {
        return suggestionPrice;
    }

    public void setGoodsInventory(String goodsInventory) 
    {
        this.goodsInventory = goodsInventory;
    }

    public String getGoodsInventory() 
    {
        return goodsInventory;
    }

    public void setInventoryCost(BigDecimal inventoryCost) 
    {
        this.inventoryCost = inventoryCost;
    }

    public BigDecimal getInventoryCost() 
    {
        return inventoryCost;
    }

    public void setGoodsState(String goodsState) 
    {
        this.goodsState = goodsState;
    }

    public String getGoodsState() 
    {
        return goodsState;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("goodsName", getGoodsName())
            .append("goodsCode", getGoodsCode())
            .append("goodsType", getGoodsType())
            .append("goodsImg", getGoodsImg())
            .append("goodsDescribe", getGoodsDescribe())
            .append("goodsUnit", getGoodsUnit())
            .append("goodsCurrentPrice", getGoodsCurrentPrice())
            .append("salePrice", getSalePrice())
            .append("suggestionPrice", getSuggestionPrice())
            .append("goodsInventory", getGoodsInventory())
            .append("inventoryCost", getInventoryCost())
            .append("goodsState", getGoodsState())
            .toString();
    }
}
